<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Advance extends Model
{
    use HasFactory;

    protected $fillable = ['total_advance', 'sale_id', 'bank_account_id'];

    public function Sale()
    {
        return $this->belongsTo(Sale::class);
    }

    public function BankAccount()
    {
        return $this->belongsTo(BankAccount::class);
    }
}
